package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataArea;
import com.chenyang.nse.bussiness.entity.orm.table.core.rule.app.AppDataRule;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

public class ControlledAssertVO {
   private String id;
   private String note;
   private String name;
   private String type;
   private String datasourceid;
   private String dbtype;
   private String datasourcename;
   private String business;
   private String flag;
   private Date createtime;
   private Date updatetime;
   private String createuser;
   private String updateuser;
   private List<TCoreDataArea> dataAreaList;
   private List<AppDataRule> dataRuleList;
   private BigInteger areanum;
   private BigInteger rulenum;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getBusiness() {
      return this.business;
   }

   public void setBusiness(String business) {
      this.business = business;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public void setUpdateuser(String updateuser) {
      this.updateuser = updateuser;
   }

   public List<TCoreDataArea> getDataAreaList() {
      return this.dataAreaList;
   }

   public void setDataAreaList(List<TCoreDataArea> dataAreaList) {
      this.dataAreaList = dataAreaList;
   }

   public List<AppDataRule> getDataRuleList() {
      return this.dataRuleList;
   }

   public void setDataRuleList(List<AppDataRule> dataRuleList) {
      this.dataRuleList = dataRuleList;
   }

   public BigInteger getAreanum() {
      return this.areanum;
   }

   public void setAreanum(BigInteger areanum) {
      this.areanum = areanum;
   }

   public BigInteger getRulenum() {
      return this.rulenum;
   }

   public void setRulenum(BigInteger rulenum) {
      this.rulenum = rulenum;
   }
}
